// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.services' is found in services.js
// 'starter.controllers' is found in controllers.js
var app=angular.module('starter', ['ionic', 'starter.controllers', 'starter.services', 'firebase','ngCordova'])

.run(function($ionicPlatform) {
  $ionicPlatform.ready(function() {
      
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if (window.cordova && window.cordova.plugins && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
    }
    if (window.StatusBar) {
      // org.apache.cordova.statusbar required
      StatusBar.styleLightContent();
    }
  });
})

.config(function($stateProvider, $urlRouterProvider) {
    

  // Ionic uses AngularUI Router which uses the concept of states
  // Learn more here: https://github.com/angular-ui/ui-router
  // Set up the various states which the app can be in.
  // Each state's controller can be found in controllers.js
  $stateProvider

  // setup an abstract state for the tabs directive
    .state('tab', {
    url: "/tab",
    abstract: true,
    templateUrl: "templates/tabs.html"
  })
  // Each tab has its own nav history stack:

  .state('tab.dash', {
    url: '/dash',
    views: {
      'tab-dash': {
        templateUrl: 'templates/restaurent/tab-dash.html',
        controller: 'DashCtrl'
      }
    }
  })
 
   .state('tab.restaurent-details', {
    url: '/restaurent-details/:res',
    views: {
      'tab-dash': {
        templateUrl: 'templates/restaurent/restaurent-details.html',
        controller: 'RestaurentDetailCtrl'
      }
    }
  })
  
    .state('client-home', {
      url: '/map/:mapId/:travelID',
      views: {
      'tab-account': {
      templateUrl: 'templates/map.html',
      controller: 'MapCtrl'
           }
    }
    })

    .state('map-cords', {
      
      url: '/map/:lat/:long/:travelID',
      templateUrl: 'templates/map.html',
      controller: 'MapCtrl'
    })
  
  
  
    .state('tab.mosque', {
    url: '/mosque',
    views: {
      'tab-mosque': {
        templateUrl: 'templates/mosque/tab-mosque.html',
        controller: 'MosqueCtrl'
      }
    }
  })

    .state('tab.mosque-details', {
   url: '/mosque/:mos',
    views: {
      'tab-mosque': {
        templateUrl: 'templates/mosque/mosque-details.html',
        controller: 'MosqueDetailsCtrl'
      }
    }
  })
 
      .state('tab.store', {
      url: '/store',
      views: {
        'tab-store': {
          templateUrl: 'templates/store/tab-store.html',
          controller: 'StoreCtrl'
        }
      }
    })
    .state('tab.store-details', {
   url: '/store/:store',
    views: {
      'tab-store': {
        templateUrl: 'templates/store/store-details.html',
        controller: 'StoreDetailsCtrl'
      }
    }
  })

     .state('tab.product', {
      url: '/product',
      views: {
        'tab-product': {
          templateUrl: 'templates/product/tab-product.html',
          controller: 'dashController'
        }
      }
    })
    .state('tab.product_list', {
      url: '/product_list/:catagoryId/:storeId',
      views: {
        'tab-product': {
          templateUrl: 'templates/product/tab-product_list.html',
          controller: 'ProductCtrl'
        }
      }
    })
      .state('tab.catagory_details', {
      url: '/catagory_details/:id',
      views: {
        'tab-product': {
          templateUrl: 'templates/product/tab-catagory_details.html',
          controller: 'CatagoryDetailsController'
        }
      }
    })
     .state('tab.cart', {
    url: '/cart',
    views: {
      'tab-product': {
        templateUrl: 'templates/product/cart.html',
        controller: 'cartController'
      }
    }
  })
   .state('tab.checkout', {
    url: '/checkout',
    views: {
      'tab-product': {
        templateUrl: 'templates/product/tab-checkout.html',
        controller: 'CheckoutController'
      }
    }
  })
  .state('tab.account', {
    url: '/account',
    views: {
      'tab-account': {
        templateUrl: 'templates/tab-account.html',
        controller: 'accountsController' 
      }
    }
  })    
  .state('tab.profile_edit', {
    url: '/profile_edit',
    views: {
      'tab-account': {
        templateUrl: 'templates/tab-profile_edit.html'
      }
    }
  })
  .state('tab.halal-info', {
    url: '/halal-info',
    views: {
      'tab-account': {
        templateUrl: 'templates/blog/halal-info.html'
      }
    }
  });
  // if none of the above states are matched, use this as the fallback
  $urlRouterProvider.otherwise('/');

});

app.controller('RestaurentCtrl', function($scope,$timeout,$ionicLoading,$ionicPopup,$firebase ,$location, $http,Geo,$filter) {
    
$ionicLoading.show({
content: 'Getting current location...',
animation: 'fade-in',
showBackdrop: false,
maxWidth: 200,
showDelay: 500
});
navigator.geolocation.getCurrentPosition(function(position) {
  
var range = localStorage.getItem('range');
$scope.range = JSON.parse(range);
if($scope.range==null)
{   
    $scope.data = { 'range' : '50' };
    localStorage.setItem('range', JSON.stringify($scope.data.range));   
    var range = localStorage.getItem('range');
    $scope.range = JSON.parse(range);
}
         
               $http.get("http://abnjp.com/halalfood/get_res.php?res=nearby&range="+$scope.range+"&lon="+position.coords.longitude+"&lat="+position.coords.latitude)
   .success(function (response) {$scope.restaurent = response.records;
                                
     });
        
$scope.showMapOne = function(latitude, longitude){
url = "map/" + latitude+'/'+longitude+'/'+0;

$location.path(url);

}                                                       
          $ionicLoading.hide(); 
},
             function(error){
                         $ionicPopup.alert({
                              title: 'Unable to get location.',
                             template: 'Please Turn on your GPS and restart the app'});
    
                        $http.get("http://abnjp.com/halalfood/get_res.php?res=nearby&range=100&lat=35.689487&lon=139.691706")
                            .success(function (response) {$scope.restaurent = response.records;
                                $scope.loc={};                          
                          
                            }); 
                             
                              $ionicLoading.hide();   
                             },
                             {maximumAge:60000,timeout:3000,enableHighAccuracy:true});
    
    $scope.doRefresh = function() {
var range = localStorage.getItem('range');
$scope.range = JSON.parse(range);
if($scope.range==null)
{   
    $scope.data = { 'range' : '50' };
    localStorage.setItem('range', JSON.stringify($scope.data.range));   
    var range = localStorage.getItem('range');
    $scope.range = JSON.parse(range);
}
    $timeout( function() {
      //simulate async response
    
$ionicLoading.show({
content: 'Getting current location...',
animation: 'fade-in',
showBackdrop: false,
maxWidth: 300,
showDelay: 500
});
navigator.geolocation.getCurrentPosition(function(position) {
  
var range = localStorage.getItem('range');
$scope.range = JSON.parse(range);
if($scope.range==null)
{   
    $scope.data = { 'range' : '50' };
    localStorage.setItem('range', JSON.stringify($scope.data.range));   
    var range = localStorage.getItem('range');
    $scope.range = JSON.parse(range);
}
         
               $http.get("http://abnjp.com/halalfood/get_res.php?res=nearby&range="+$scope.range+"&lon="+position.coords.longitude+"&lat="+position.coords.latitude)
   .success(function (response) {$scope.restaurent = response.records;
                                
     });
        
$scope.showMapOne = function(latitude, longitude){
url = "map/" + latitude+'/'+longitude+'/'+0;

$location.path(url);

}                                                       
          $ionicLoading.hide(); 
},
             function(error){
                         $ionicPopup.alert({
                              title: 'Unable to get location.',
                             template: 'Please Turn on your GPS and restart the app'});
    
                        $http.get("http://abnjp.com/halalfood/get_res.php?res=nearby&range=100&lat=35.689487&lon=139.691706")
                            .success(function (response) {$scope.restaurent = response.records;
                                $scope.loc={};                          
                          
                            }); 
                             
                              $ionicLoading.hide();   
                             },
                             {maximumAge:60000,timeout:3000,enableHighAccuracy:true});

      //Stop the ion-refresher from spinning
      $scope.$broadcast('scroll.refreshComplete');
    
    }, 1000);
      
  };
    
    
    
    
    
    
});
app.controller('MosqueCtrl', function($scope,$timeout,$ionicLoading,$firebase ,$location, $http,Geo,$filter) {
             $ionicLoading.show({
	    content: 'Loading Data',
	    animation: 'fade-in',
	    showBackdrop: false,
	    maxWidth: 300,
	    showDelay: 500
	});
navigator.geolocation.getCurrentPosition(function(position) {
  
        var range = localStorage.getItem('range');
$scope.range = JSON.parse(range);
if($scope.range==null)
{   
    $scope.data = { 'range' : '50' };
    localStorage.setItem('range', JSON.stringify($scope.data.range));   
    var range = localStorage.getItem('range');
    $scope.range = JSON.parse(range);
}
    
    $http.get("http://abnjp.com/halalfood/get_mosque_details_data.php?mos=nearby&range="+$scope.range+"&lon="+position.coords.longitude+"&lat="+position.coords.latitude)
    .success(function (response) {$scope.mosque = response.records;   });
        $ionicLoading.hide();  
      },
        function onError(error){
     $ionicPopup.alert({
                              title: 'Unable to get location.',
                             template: 'Please Turn on your GPS and restart the app'});
    
                                $http.get("http://abnjp.com/halalfood/get_mosque_details_data.php?mos=nearby&range=100&lat=35.689487&lon=139.691706")
.success(function (response) {$scope.mosque = response.records;
  $scope.loc={};                           
                             });
                          
$ionicLoading.hide();
   
                             },
                             {maximumAge:60000,timeout:3000,enableHighAccuracy:true});
    
$scope.doRefresh = function() {
var range = localStorage.getItem('range');
$scope.range = JSON.parse(range);
if($scope.range==null)
{   
    $scope.data = { 'range' : '50' };
    localStorage.setItem('range', JSON.stringify($scope.data.range));   
    
}
    $timeout( function() {
    $ionicLoading.show({
	    content: 'Loading Data',
	    animation: 'fade-in',
	    showBackdrop: false,
	    maxWidth: 300,
	    showDelay: 500
	});
navigator.geolocation.getCurrentPosition(function(position) {
  
        var range = localStorage.getItem('range');
$scope.range = JSON.parse(range);
if($scope.range==null)
{   
    $scope.data = { 'range' : '50' };
    localStorage.setItem('range', JSON.stringify($scope.data.range));   
    var range = localStorage.getItem('range');
    $scope.range = JSON.parse(range);
}
    
    $http.get("http://abnjp.com/halalfood/get_mosque_details_data.php?mos=nearby&range="+$scope.range+"&lon="+position.coords.longitude+"&lat="+position.coords.latitude)
    .success(function (response) {$scope.mosque = response.records;   });
        $ionicLoading.hide();  
      },
        function onError(error){
     $ionicPopup.alert({
                              title: 'Unable to get location.',
                             template: 'Please Turn on your GPS and restart the app'});
    
                                $http.get("http://abnjp.com/halalfood/get_mosque_details_data.php?mos=nearby&range=100&lat=35.689487&lon=139.691706")
.success(function (response) {$scope.mosque = response.records;
  $scope.loc={};                           
                             });
                          
$ionicLoading.hide();
   
                             },
                             {maximumAge:60000,timeout:3000,enableHighAccuracy:true});

      //Stop the ion-refresher from spinning
      $scope.$broadcast('scroll.refreshComplete');
    
    }, 1000);
      
  };
});

app.controller('StoreCtrl', function($scope,$timeout,$ionicLoading,$firebase ,$location, $http,Geo,$filter) {
              $ionicLoading.show({
	    content: 'Loading Data',
	    animation: 'fade-in',
	    showBackdrop: false,
	    maxWidth: 200,
	    showDelay: 500
	});
navigator.geolocation.getCurrentPosition(function(position) {
 
           var range = localStorage.getItem('range');
$scope.range = JSON.parse(range);
if($scope.range==null)
{   
    $scope.data = { 'range' : '50' };
    localStorage.setItem('range', JSON.stringify($scope.data.range)); 
    var range = localStorage.getItem('range');
    $scope.range = JSON.parse(range);
    
}      
$http.get("http://abnjp.com/halalfood/get_store_data.php?store=nearby&range="+$scope.range+"&lon="+position.coords.longitude+"&lat="+position.coords.latitude)
.success(function (response) {$scope.store = response.records;   });
    $ionicLoading.hide();  
    
}, function onError(error){
$http.get("http://abnjp.com/halalfood/get_store_data.php?store=nearby&range=100&lat=35.689487&lon=139.691706")
.success(function (response) {$scope.store = response.records;
}); 
$scope.loc={};                          
$ionicLoading.hide();
$ionicPopup.alert({
                              title: 'Unable to get location.',
                             template: 'Please Turn on your GPS and restart the app'});

},
{maximumAge:60000,timeout:3000,enableHighAccuracy:true});
    
$scope.doRefresh = function() {
var range = localStorage.getItem('range');
$scope.range = JSON.parse(range);
if($scope.range==null)
{   
    $scope.data = { 'range' : '50' };
    localStorage.setItem('range', JSON.stringify($scope.data.range));   
    
}
    $timeout( function() {
                   $ionicLoading.show({
	    content: 'Loading Data',
	    animation: 'fade-in',
	    showBackdrop: false,
	    maxWidth: 200,
	    showDelay: 500
	});
navigator.geolocation.getCurrentPosition(function(position) {
 
           var range = localStorage.getItem('range');
$scope.range = JSON.parse(range);
if($scope.range==null)
{   
    $scope.data = { 'range' : '50' };
    localStorage.setItem('range', JSON.stringify($scope.data.range)); 
    var range = localStorage.getItem('range');
    $scope.range = JSON.parse(range);
    
}      
$http.get("http://abnjp.com/halalfood/get_store_data.php?store=nearby&range="+$scope.range+"&lon="+position.coords.longitude+"&lat="+position.coords.latitude)
.success(function (response) {$scope.store = response.records;   });
    $ionicLoading.hide();  
    
}, function onError(error){
$http.get("http://abnjp.com/halalfood/get_store_data.php?store=nearby&range=100&lat=35.689487&lon=139.691706")
.success(function (response) {$scope.store = response.records;
}); 
$scope.loc={};                          
$ionicLoading.hide();
$ionicPopup.alert({
                              title: 'Unable to get location.',
                             template: 'Please Turn on your GPS and restart the app'});

},
{maximumAge:60000,timeout:3000,enableHighAccuracy:true});

      //Stop the ion-refresher from spinning
      $scope.$broadcast('scroll.refreshComplete');
    
    }, 1000);
      
  };    
    
});
angular.module('starter').constant('MapOptions', {
    center: new google.maps.LatLng(35.689487, 139.691706),
     zoom: 18,
    mapTypeId: google.maps.MapTypeId.SATELLITE,
    heading: 90,
    tilt: 45
});

