'use strict';

/*
  For more details about google maps visit
  https://developers.google.com/maps/documentation/javascript/
*/
angular.module('starter')
.directive('googleMap', function ($stateParams,maps, MapOptions,$rootScope,Geo,$cordovaGeolocation) {
  return function(scope, element, attrs) {
    var myPosition;
    var myPositionMarker = {};
    var map = new google.maps.Map(element[0], MapOptions);
    var directionsService = new google.maps.DirectionsService();
    var directionsDisplay = new google.maps.DirectionsRenderer({
    draggable: true,
    map: map,
    panel: document.getElementById('directionsPanel')
  });  
    
    
    // Belgrade position
    directionsDisplay.addListener('directions_changed', function() {
    computeTotalDistance(directionsDisplay.getDirections());
  });
  
         function createMarker(pos, t) {
      var marker = new google.maps.Marker({       
        position: pos, 
          map: map,  // google.maps.Map 
          title: t 
        });
    var posOptions = {timeout: 10000, enableHighAccuracy: false};
  $cordovaGeolocation
    .getCurrentPosition(posOptions)
    .then(function (position) {
      var lat  = position.coords.latitude
      var long = position.coords.longitude
      var mylocation = new google.maps.LatLng(lat, long);
      displayRoute(mylocation,pos, directionsService,directionsDisplay);
          }, function(err) {
      // error
    });   
           
        return marker;  
    } 


  

function displayRoute(origin, destination, service, display) {
    var mod = 'DRIVING';
    if($stateParams.travelID == 0){
      mod = 'DRIVING';
        
    }
    if($stateParams.travelID == 1){
      mod = 'WALKING';
        
    }
  service.route({
    origin: origin,
    destination: destination,
    travelMode: google.maps.TravelMode[mod],
    avoidTolls: true
  }, function(response, status) {
    if (status === google.maps.DirectionsStatus.OK) {
      display.setDirections(response);
    } else {
      alert('Could not display directions due to: ' + status);
    }
  });
}

function computeTotalDistance(result) {
  var total = 0;
  var myroute = result.routes[0];
  for (var i = 0; i < myroute.legs.length; i++) {
    total += myroute.legs[i].distance.value;
  }
  total = total / 1000;
  document.getElementById('total').innerHTML = total + ' km';
}
  
  scope.$on('one', function(event, data) {
      var loc = new google.maps.LatLng(data.latitude, data.longitude);
      createMarker(loc, 'Requested shop');
    });

  };
});
